Bug 307251 - numpy fails to install properly
numpy fails to install properly
Product: Fedora
Classification: Fedora
Component: atlas (Show other bugs)
i386 Linux
low Severity high
: ---
: ---
Assigned To: Quentin Spencer
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2007-09-26 11:22 EDT by Michael Spiegel
Modified: 2008-05-06 15:46 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-05-06 15:46:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Michael Spiegel 2007-09-26 11:22:02 EDT
Description of problem:

Installing the numpy package from the extras repository leads to the following
error when attempting to import numpy:

Traceback (most recent call last):
  File "<stdin>", line 1, in ?
  File "/usr/lib/python2.4/site-packages/numpy/__init__.py", line 43, in ?
    import linalg
  File "/usr/lib/python2.4/site-packages/numpy/linalg/__init__.py", line 4, in ?
    from linalg import *
  File "/usr/lib/python2.4/site-packages/numpy/linalg/linalg.py", line 25, in ?
    from numpy.linalg import lapack_lite
ImportError: /usr/lib/atlas/liblapack.so.3: undefined symbol: ATL_chemv

Version-Release number of selected component (if applicable):

Comment 1 James Antill 2007-09-26 12:06:54 EDT
 Why assign to python then?
Comment 2 Jarod Wilson 2007-09-26 13:17:04 EDT
The error there actually seems to suggest an undefined symbol in an atlas
library, not a problem with numpy. Re-reassigning... :)
Comment 3 Michael Spiegel 2007-09-26 14:38:56 EDT
Oops.  Sorry about that.  Looks like the problem has been assigned to the
correct project now.
Comment 4 Quentin Spencer 2007-09-27 12:34:48 EDT
I'm afraid I can't seem to duplicate this on F7, and I don't have a F6 system
readily available. In ipython I get no error if I enter "from numpy.linalg
import *". I currently have installed the following:


As far as I can tell there's nothing different in the way either numpy or atlas
are compiled between F6 and F7. I'm not really a python expert. Is there
something else I should be doing to trigger this? I also find it odd that it's
complaining about ATL_chemv in liblapack.so.3, since it appears to be defined in
/usr/lib/atlas/libblas.so.3.0 (also part of atlas-3.6.0).
Comment 5 Bug Zapper 2008-04-04 03:36:09 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 6 Bug Zapper 2008-05-06 15:46:05 EDT
This bug is open for a Fedora version that is no longer maintained and
will not be fixed by Fedora. Therefore we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen thus bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.